[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [parser](../README.md) / Packwiz

# Class: Packwiz

Defined in: parser.ts:151

A class representing a Packwiz TOML file.

## Constructors

### new Packwiz()

> **new Packwiz**(`location`, `index`, `name`, `packFormat`, `authors`, `description`, `version`, `versions`): [`Packwiz`](Packwiz.md)

Defined in: parser.ts:163

Creates a new Packwiz instance.

#### Parameters

##### location

[`Resource`](../../resource/classes/Resource.md)

The location of the TOML file.

##### index

[`PackwizIndex`](../interfaces/PackwizIndex.md)

The index of the TOML file.

##### name

`string`

The name of the pack.

##### packFormat

`string` = `"packwiz:1.0.0"`

The packwiz version of the TOML file.

##### authors

`string`[]

The authors of the pack.

##### description

`string`

The description of the pack.

##### version

`string`

The version of the pack.

##### versions

[`PackwizVersions`](../interfaces/PackwizVersions.md)

The Minecraft / modloader versions that the pack uses.

#### Returns

[`Packwiz`](Packwiz.md)

## Properties

### authors

> `readonly` **authors**: `string`[]

Defined in: parser.ts:168

The authors of the pack.

***

### description

> `readonly` **description**: `string`

Defined in: parser.ts:169

The description of the pack.

***

### index

> `readonly` **index**: [`PackwizIndex`](../interfaces/PackwizIndex.md)

Defined in: parser.ts:165

The index of the TOML file.

***

### location

> `readonly` **location**: [`Resource`](../../resource/classes/Resource.md)

Defined in: parser.ts:164

The location of the TOML file.

***

### name

> `readonly` **name**: `string`

Defined in: parser.ts:166

The name of the pack.

***

### packFormat

> `readonly` **packFormat**: `string` = `"packwiz:1.0.0"`

Defined in: parser.ts:167

The packwiz version of the TOML file.

***

### version

> `readonly` **version**: `string`

Defined in: parser.ts:170

The version of the pack.

***

### versions

> `readonly` **versions**: [`PackwizVersions`](../interfaces/PackwizVersions.md)

Defined in: parser.ts:171

The Minecraft / modloader versions that the pack uses.
